AOZ Studio Beta - Bug #61

Requst Wb and Request On cause syntax errors.
Description

Example: Help_63 from AMOSPro_Examples disk.

These instructions should either:

1. Simulate a workbench style requestor ...or...
2. Produce an "Instruction not implemented" warning.

History

#1 - 01/22/2020 11:05 PM - Baptiste Pillot

- Assignee set to Francois Lionet

#2 - 01/24/2020 07:11 AM - Francois Lionet

- Status changed from New to Resolved

- Target version set to 0.9.3.2

Fixed! Just forgot them in the token list...

#3 - 02/01/2020 08:25 AM - Baptiste Pillot

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/463/edit

Error during compilation
AOZ Transpiler Version 0.9.3.2 - 31/01/2020

By

Francois 'Amos' Lionet
Website: https://aoz.studio

(c)

® 0.9.3.1 was throwing syntax errors at lines 103 and 104
e 0.9.3.2 compilation produces a crash :

AOZ Studio 2019-2020

Compiling /home/amos2/ide/input/tickleman/61, emulation: PC, speed: fast.
First pass...

Second pass...

main.aoz:1:1:

Compiler error:

crash during compilation: pass: 2

cannot read property '23' of undefined

typeerror:

at
at
at
at
at
at
at
at
at
at

Task failed,

#4 - 02/01/2020 08:25 AM - Baptiste Pillot

cannot read property

'23'" of undefined

object.specialcases.handleonerror (c:\snapshot\compiler\compiler.js:0:0)
secondpass (c:\snapshot\compiler\compiler.js:0:0)

object.module.exports.compile

(c:\snapshot\compiler\compiler.js:0:0)

compile (c:\snapshot\compiler\aoz.js:0:0)

aoz (c:\snapshot\compiler\aoz.js:0:0)

object. (c:\snapshot\compiler\aoz.js:0:0)
(pkg/prelude/bootstrap.js:1261:22)

module._compile

object.module._extensions..Js

(internal/modules/cjs/loader.js:787:10)

module.load (internal/modules/cjs/loader.js:651:32)
trymoduleload (internal/modules/cjs/loader.js:591:12)
Internal error

no code generated...

- Status changed from Resolved to Feedback
https://www.amos2.fr/ide/Amos2/Ide/Program/463/edit

#5 - 02/03/2020 06:24 PM - Francois Lionet
- Status changed from Feedback to Resolved

- Target version changed from 0.9.3.2 to 0.9.4

They do nothing, and do not report errors anymore.

#6 - 02/13/2020 10:25 PM - Brian Flanagan

Just re-tested Help_63 in 0.9.5 (Test 2). There are no syntax errors, but the compiler still crashes with an Internal Error as it did before:

First pass...
Second pass...

Internal error
Task failed, no code generated...
main.aoz:1:1: Compiler error: crash during compilation: pass: 2
cannot read property '23' of undefined
typeerror: cannot read property '23' of undefined
at object.specialcases.handleonerror (c:\snapshot\compiler\compiler.js:0:0)
at secondpass (c:\snapshot\compiler\compiler.js:0:0)
at object.module.exports.compile (c:\snapshot\compiler\compiler.js:0:0)
at compile (c:\snapshot\compiler\aoz.js:0:0)
at aoz (c:\snapshot\compiler\aoz.js:0:0)
at object.<anonymous> (c:\snapshot\compiler\aoz.js:0:0)
at module._compile (pkg/prelude/bootstrap.js:1261:22)
at object.module._extensions..Jjs (internal/modules/cjs/loader.js:787:10)
at module.load (internal/modules/cjs/loader.js:651:32)
at trymoduleload (internal/modules/cjs/loader.js:591:12)

#7 - 02/28/2020 04:03 AM - Brian Flanagan

- Status changed from Resolved to Feedback

- Affected version changed from 0.9.3 to 0.9.5

I'm not seeing any syntax errors, however, Help_63 still fails with an Internal error.
This may or may not be related to the Request Wb / Request On errors.

Still failing in 0.9.5.1, as it did in 0.9.5.

#8 - 04/15/2020 06:44 AM - Brian Flanagan

- Status changed from Feedback to Closed

Tested again in 0.9.8.

Did further checking. The Request Wb / Request On no longer cause syntax errors. They still don't work. (I assume not implemented.)
The internal error was caused by the Load command. Making a new bug report for that.
